// Audrius Mecionis IT3

import java.util.Scanner;

public class AsmKodas{

	public static void main(String[] args){
		String kodas;
		int kontrSk = 0;
		
		if (args.length>0)
			kodas = args[0];
		else {
			Scanner input = new Scanner(System.in);
			System.out.println("Iveskite savo asmens kodo skaiciu");
			kodas = input.nextLine();
		}
		//tikrinama ar kodo ilgis atitinka reikalavimus
		if (kodas.length() != 11){
			System.out.println("Klaidingai ivestas kodas");
		} else {
			int sum = countSum(kodas, 1);
			if (sum % 11 != 10) kontrSk = sum % 11;
			else if (sum % 11 == 10) { 
				sum = countSum(kodas, 2); 
				if (sum % 11 != 10) kontrSk = sum % 11;
				else if (sum % 11 == 10) kontrSk = 0;
			}
			
			System.out.println("Jusu ivestas kontrolinis skaicius: "+ kodas.substring(10,11) );				
			System.out.println("Apskaiciuotas kontrolinis sakaicius: "+ kontrSk); 

			if (kontrSk == Integer.parseInt(kodas.substring(10,11)) )
				System.out.println("Asmens kodas sudarytas korektiskai!"); 
			else
				System.out.println("Asmens kodas sudarytas nekorektiskai!"); 
		}
	}
	public static int countSum(String kodas, int time){
		int suma = 0;
		int firstTime[] = {1,2,3,4,5,6,7,8,9,1};
		int secondTime[] = {3,4,5,6,7,8,9,1,2,3};
		
		for(int i=1; i<=10; i++){
			String b = kodas.substring(i-1,i);
			if (time == 1)
				suma += Integer.parseInt(b) * firstTime[i-1];
			else if (time == 2)
				suma += Integer.parseInt(b) * secondTime[i-1];
		}		
		return suma;
	}	
}